Skip to main content
GET
https://api.grainledger.com
/
api
/
v1
/
bills
/
{id}
Get bill
curl --request GET \
  --url https://api.grainledger.com/api/v1/bills/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.grainledger.com/api/v1/bills/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.grainledger.com/api/v1/bills/{id}"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "<string>",
  "billNumber": "<string>",
  "billDate": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "amount": 123,
  "status": "<string>",
  "vendorId": "<string>",
  "fundId": "<string>"
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Organization-Id
string
required

Organization ID for multi-tenant data access

Path Parameters

id
string
required

Resource ID

Response

Bill

id
string
billNumber
string
billDate
string<date-time>
dueDate
string<date-time>
amount
number
status
string
vendorId
string | null
fundId
string | null
Last modified on July 8, 2026